Subject: Re: [GROW] [IPFIX] [OPSAWG] WG adoption poll fordraft-li-opsawg-ipfix-bgp-community-02

From: 李振强 <[email-masked]>
Date: Thu, 16 Feb 2017 19:53:23 +0800

Thank you P.J. Aitken.

The length of IPFIX message is sufficient for BGP standard communities, since the length of standard community is 4 octets. But the sizes of extended community, large community and wide community are bigger than the size of standard community. If the working group agrees to cover the above all kinds of communities in this draft, do you think we should open the discussion for IPFIX

--发自139邮箱APP
点击下载使用，轻松管理邮箱pushemail.10086.cn/d/d.html(http://pushemail.10086.cn/d/d.html)

在2017-02-16 19:30:06
李振强<[email-masked]>写道:

发件人:PJ Aitken<[email-masked]>
日期:2017-02-16 19:16:00
收件人:[email-masked]<[email-masked]>, grow-bounces<[email-masked]>, zhoutianran<[email-masked]>
主题:Re: [IPFIX] [GROW] [OPSAWG] WG adoption poll fordraft-li-opsawg-ipfix-bgp-community-02

Ignas Bagdonas wrote:

>The upper limit may be reaching 16000 standard communities per prefix - would that fit into resulting IPFIX IE? If there is a limit, how does it work?

A quick calculation suggests that the maximum would be 16376 x 4-octet ASNs. See the figure below.

The constraining factor is the RFC7011 IPFIX Message Header "Length" field, since this is only 16 bits.

Splitting a list across multiple IPFIX messagesis a question which the IPFIX community hasn't discussed.Unfortunately the basicList "Semantic" field only defines the relationship among the different values within a single message; the relationship among values in different messages is not defined.

IPFIX Collectors might reasonably assume that information in subsequent messages supersedes information in earlier messages, so splitting a list across multiple messages would not have the desired effect.

0          1          2          3   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |    Version Number     |    Length =65532|   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |              Export Time             |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |            Sequence Number             |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |          Observation Domain ID           |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |     Set ID = 256     |     Length =65516|   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |   255   |   List Length =65509| semantic=allOf|   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |   bSCL FieldId = 459    |   bSCL Field Length=4   |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |       bgpSourceCommunityList value 1 = x        |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |       bgpSourceCommunityList value 2 = x        |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+                  ...   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   |       bgpSourceCommunityList value16376= x      |   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

P.

_______________________________________________
IPFIX mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipfix

---

From: Jared Mauch <[email-masked]>
Date: Thu, 16 Feb 2017 12:08:23 -0500

> The length of IPFIX message is sufficient for BGP standard communities, since the length of standard community is 4 octets. But the sizes of extended community, large community and wide community a…

	I believe there should be coverage for 1997 as well as the upcoming large communities.

	- Jared

---

From: Job Snijders <[email-masked]>
Date: Thu, 16 Feb 2017 18:43:08 +0100

On Thu, Feb 16, 2017 at 12:08:23PM -0500, Jared Mauch wrote:
> > The length of IPFIX message is sufficient for BGP standard
> > communities, since the length of standard community is 4 octets. But
> > the sizes of extended community, large community and wide community
> > are bigger than the size of standard community. If the working group
> > agrees to cover the above all kinds of communities in this draft, do
> > you think we should open the discussion for IPFIX
> > 
> 

Agreed. There certainly is merit in covering RFC 1997 (32-bit), RFC 4360
(64-bit) and RFC 8092 (96-bit). For each of these one can fit (at least
a few) of such communities in the 16 bits worth of length of the 'outer
enveloppe' that is the IPFIX record. Should be pretty straight forward.

On the other hand, the current version of the Wide communities draft has
a container mechanism, the outer layer at that level also has a 16-bit
field, like IPFIX has. One can't fit a 16-bit thing in a 16-bit + with
space left for leading / trailing IPFIX related data. I don't
immediately have suggestions how to fit this reliably.

Kind regards,

Job

---

From: Peter Schoenmaker <[email-masked]>
Date: Thu, 16 Feb 2017 18:18:12 +0000

Hi mail thread folks:

It appears that this thread had [email-masked] added to the email list (and subsequently [email-masked] was add).  This was causing the emails sent to bounce, and not make it to the grow mailing list.  Please make sure [email-masked] is not in the to/cc, and [email-masked] is included when responding.

thanks

Peter